import request from '@/utils/request'

// 查询建筑区域划分列表
export function listZoning(query) {
  return request({
    url: '/ems/basecfg/area/building/zoning/list',
    method: 'get',
    params: query
  })
}

// 查询建筑区域划分详细
export function getZoning(id) {
  return request({
    url: '/ems/basecfg/area/building/zoning/' + id,
    method: 'get'
  })
}

// 新增建筑区域划分
export function addZoning(data) {
  return request({
    url: '/ems/basecfg/area/building/zoning',
    method: 'post',
    data: data
  })
}

// 修改建筑区域划分
export function updateZoning(data) {
  return request({
    url: '/ems/basecfg/area/building/zoning',
    method: 'put',
    data: data
  })
}

// 删除建筑区域划分
export function delZoning(id) {
  return request({
    url: '/ems/basecfg/area/building/zoning/' + id,
    method: 'delete'
  })
}
